summaryrefslogtreecommitdiffstats
path: root/mga-hdlists-updates
diff options
context:
space:
mode:
Diffstat (limited to 'mga-hdlists-updates')
-rwxr-xr-xmga-hdlists-updates23
1 files changed, 23 insertions, 0 deletions
diff --git a/mga-hdlists-updates b/mga-hdlists-updates
new file mode 100755
index 0000000..66f3e7e
--- /dev/null
+++ b/mga-hdlists-updates
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/mgatools/functions
+
+if [ "$1" = "--dry-run" ]; then
+ dryrun=echo
+ shift
+fi
+
+if [ $# != 2 ]; then
+ echo "Usage: $0 [--dry-run] <release> <section>" >&2
+ exit 1
+fi
+
+release="$1"
+section="$2"
+
+update_distro_hdlist "$release" "$section" "updates_testing"
+update_distro_hdlist "$release" "$section" "updates"
+update_common_MD5SUM "$release"
+mirror_repository "$release"